Add telemetry to record when the automigrate "undo" functionality is used
We'd like to understand how often the automigrate "undo" functionality is invoked by users. This is a clear user signal that we didn't automagically do the right thing, and will be a useful signal to look at as we fine-tune how we decide what browser to import from.